Package org.apache.lucene.queries.function.valuesource

# Class TermFreqValueSource

java.lang.Object
org.apache.lucene.queries.function.ValueSource
org.apache.lucene.queries.function.valuesource.DocFreqValueSource
org.apache.lucene.queries.function.valuesource.TermFreqValueSource

Direct Known Subclasses:
  `TFValueSource`

public class TermFreqValueSource extends DocFreqValueSource
Function that returns `PostingsEnum.freq()` for the supplied term in every document.

If the term does not exist in the document, returns 0. If frequencies are omitted, returns 1.

## Field Summary

### Fields inherited from class org.apache.lucene.queries.function.valuesource.DocFreqValueSource

`field, indexedBytes, indexedField, val`

## Constructor Summary

Constructors
Constructor
Description
`TermFreqValueSource(String field, String val, String indexedField, BytesRef indexedBytes)`

## Method Summary

Modifier and Type
Method
Description
`FunctionValues`
`getValues(Map<Object,Object> context, LeafReaderContext readerContext)`
Gets the values for this reader and the context that was previously passed to createWeight().
`String`
`name()`

### Methods inherited from class org.apache.lucene.queries.function.valuesource.DocFreqValueSource

`createWeight, description, equals, hashCode`

### Methods inherited from class org.apache.lucene.queries.function.ValueSource

`asDoubleValuesSource, asLongValuesSource, fromDoubleValuesSource, getSortField, newContext, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### TermFreqValueSource

public TermFreqValueSource(String field, String val, String indexedField, BytesRef indexedBytes)

## Method Details

### name

public String name()

Overrides:
  `name` in class `DocFreqValueSource`

### getValues

public FunctionValues getValues(Map<Object,Object> context, LeafReaderContext readerContext) throws IOException
Description copied from class: `ValueSource`
Gets the values for this reader and the context that was previously passed to createWeight(). The values must be consumed in a forward docID manner, and you must call this method again to iterate through the values again.

Overrides:
  `getValues` in class `DocFreqValueSource`
Throws:
  `IOException`